﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim keys = New List(Of String) From {"7", "8", "9", "4", "5", "6", "1", "2", "3", "0", "00", ","}
        GenerateNumpad(keys)
    End Sub

    Private Sub GenerateNumpad(keys As List(Of String))
        For Each key In keys
            Dim numpadButton = GenerateNumpadButton(key)
            flpNumpad.Controls.Add(numpadButton)
        Next
    End Sub

    Private Function GenerateNumpadButton(key As String) As Button
        Dim btn = New Button()
        With btn
            .Size = New Size(50, 50)
            .BackColor = Color.White
            .FlatStyle = FlatStyle.Flat
            .FlatAppearance.BorderSize = 2
            .Text = key
            AddHandler .Click, AddressOf NumpadButton_Click
        End With
        Return btn
    End Function

    Private Sub NumpadButton_Click(sender As Object, e As EventArgs)
        Dim btn = CType(sender, Button)
        Debug.WriteLine($"Clicked key: {btn.Text}")
    End Sub

End Class
